#pragma once

#include <cmath>

class math
{
public:
    static constexpr double infinity = std::numeric_limits<double>::infinity();
    static constexpr double pi = 3.1415926535897932385;

    static double degrees_to_radians(double degrees);
    static double random_double();
    static double random_double(double min, double max);
    static double clamp(double x, double min, double max);
};
